/*
 * $Id: Parameters_test.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Parameters.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Parameters::test"
  void Parameters::test (void)          
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
    Parameters_test x = msg_error();
    
    msg("%s",x.print().c_str());

    if (x.have_error())
      throw ERRORMORPHEO (FUNCTION,_("Error(s) in parameters\n"));

    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              
